Summary:        Spice protocol header files
Name:           spice-protocol
Version:        0.14.4
Release:        3%{?dist}
License:        BSD and LGPLv2+
URL:            https://www.spice-space.org/
Source0:        %{url}/download/releases/%{name}-%{version}.tar.xz
Source1:        %{url}/download/releases/%{name}-%{version}.tar.xz.sig
Source2:        victortoso-E37A484F.keyring

BuildRequires:  gnupg2 meson

BuildArch:      noarch

%description
Header files describing the spice protocol and the para-virtual graphics card QXL.


%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install


%files
%license COPYING
%doc CHANGELOG.md
%{_includedir}/spice-1
%{_datadir}/pkgconfig/spice-protocol.pc


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.4-2
- Rebuilt for loongarch release

* Fri Dec 22 2023 Upgrade Robot <upbot@opencloudos.org> - 0.14.4-1
- Upgrade to version 0.14.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Shuo Wang <abushwang@tencent.com> - 0.14.3-1
- initial build
